#include <SPI.h>

const byte selectionPin = 10;
byte canal = 0;
boolean flag = false;
byte data_R, resultat, resultatPrec;

void setup() {
  Serial.begin(9600); // Initialisation de la communication série
  SPI.begin(); // Initilisation de la communication SPI avec l' ADC088S102
  pinMode(selectionPin, OUTPUT);
  resultatPrec = 0;
}

void loop() {
  if (flag) { // Teste si c'est le premier octet qui arrive
    digitalWrite(selectionPin, LOW); // Démarrage de la communication SPI
    data_R = SPI.transfer(canal); // Récupere les 4 octets de poids forts
    resultat = (data_R << 4); // Décale les bits voir Figure 1 de la feuille de caractéristiques
  } else { // Si c'est le deuxième octet
    data_R = SPI.transfer(canal); // Récupère les 4 bits de poids faibles
    resultat = resultat + (data_R >> 4); // Décale les bits voir Figure 1 de la feuille de caractéristiques
    digitalWrite(selectionPin, HIGH); // Arret de la transmission SPI
    if (resultatPrec != resultat) {
      Serial.println(resultat, DEC); // Envoi de la nouvelle valeur par communication série
      resultatPrec = resultat;
    }
  }
  flag = !flag;
}
